## CamelMhSettings

CamelMhSettings

## Functions

gboolean | camel_mh_settings_get_use_dot_folders ()
void | camel_mh_settings_set_use_dot_folders ()

## Properties

gboolean | use-dot-folders | Read / Write / Construct

## Types and Values

struct | CamelMhSettings

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ╰── CamelLocalSettings
                    ╰── CamelMhSettings

## Description

## Functions

### camel_mh_settings_get_use_dot_folders ()

    gboolean
    camel_mh_settings_get_use_dot_folders (CamelMhSettings *settings);

Returns whether `settings` should keep the .folders summary file used by the exmh (http://www.beedub.com/exmh/) mail client updated as it makes changes to the MH folders.

#### Parameters

settings | a CamelMhSettings |

#### Returns

whether to use exmh's .folders file

Since 3.2

### camel_mh_settings_set_use_dot_folders ()

    void
    camel_mh_settings_set_use_dot_folders (CamelMhSettings *settings,
                                           gboolean use_dot_folders);

Sets whether `settings` should keep the .folders summary file used by the exmh (http://www.beedub.com/exmh/) mail client updated as it makes changes to the MH folders.

#### Parameters

settings | a CamelMhSettings |
use_dot_folders | whether to use exmh's .folders file |

Since 3.2

## Types and Values

### struct CamelMhSettings

    struct CamelMhSettings;

## Property Details

### The `“use-dot-folders”` property

      “use-dot-folders”          gboolean

Update the exmh .folders file.

Flags: Read / Write / Construct

Default value: FALSE